EDIT - bug #9912

java.lang.ClassCastException: [Ljava.lang.String; cannot be cast to java.lang.String in
TaxonGraphBeforeTransactionCompleteProcess L229

01/10/2022 01:25 PM - Andreas Kohlbecker

Status: New Start date:

Priority: New Due date:

Assignee: Andreas Mller % Done: 0%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.45

Severity: major Found in Version:

Description

TAXONNAME_NOMENCLATURALSOURCE is an array, so below code line in TaxonGraphBeforeTransactionCompleteProcess fails
with a ClassCastException:

Reference reference = (Reference)oldState[Arrays.binarySearch (propertyNames, TAXONNAME_NOMENCLATU
RALSOURCE) 1;

Related issues:

Related to EDIT - feature request #7648: Create taxonrelation to genus or spe... Resolved
Related to EDIT - bug #9223: make changes of nomenclatural references detecta... Resolved
Related to EDIT - bug #7858: names used in the TaxonGraph can not be deleted ... New
History

#1 - 01/10/2022 02:08 PM - Andreas Miiller
- Target version changed from CDM UML 5.43 to Release 5.45

#2 - 01/10/2022 02:09 PM - Andreas Miller

- Related to feature request #7648: Create taxonrelation to genus or species when subordinate names are created added

#3 - 01/10/2022 02:10 PM - Andreas Miuller

- Related to bug #9223: make changes of nomenclatural references detectable again in TaxonGraphBefore TransactionCompleteProcess added

#4 - 11/08/2022 01:58 PM - Andreas Miiller
- Tags set to phycobank

- Assignee changed from Andreas Kohlbecker to Andreas Mtiller

#5 - 11/08/2022 01:59 PM - Andreas Miller

- Related to bug #7858: names used in the TaxonGraph can not be deleted if the user has no DELETE permission on Taxon added
